<?php
/*
envole : adaptation faite du fichier direction/publication_visa.php
    - droits d'accs  5
    - vrification que la matire demande est valide puis transmise  cdt_enseignant.php
    - adaptation pour ne faire apparatre que les enseignants d'une matire donne
    - suppression de tout ce qui concerne le visa (affichage et traitement des formulaires)
    - messages informatifs
    - liens de redirection
*/

include "../authentification/authcheck.php" ;
if ($_SESSION['droits']<>5) { header("Location: ../index.php");};
require_once('../Connections/conn_cahier_de_texte.php');
require_once('../inc/functions_inc.php');

if(!isset($_GET['matiere'])) header("Location: inspecteur.php");
else $id_matiere = intval($_GET['matiere']);

mysql_select_db($database_conn_cahier_de_texte, $conn_cahier_de_texte);

//envole : liste des matires
$matieres = array();
$query_Rsmatiere = "SELECT * FROM `cdt_matiere` ORDER BY `nom_matiere`;";
$Rsmatiere = mysql_query($query_Rsmatiere, $conn_cahier_de_texte) or die(mysql_error());
while($row_Rsmatiere = mysql_fetch_assoc($Rsmatiere))
	{
	$id = intval($row_Rsmatiere["ID_matiere"]);
	$matieres[$id] = $row_Rsmatiere["nom_matiere"];
	}

//envole : recherche des disciplines slectionnes
$disciplines = array();
$query_Rschoix = "SELECT `activite` FROM `cdt_type_activite` WHERE `ID_prof`=".$_SESSION['ID_prof']." ORDER BY `activite`;";
$result_Rschoix = mysql_query($query_Rschoix, $conn_cahier_de_texte) or die(mysql_error());
$num_Rschoix = mysql_num_rows($result_Rschoix);
if($num_Rschoix>0)
	{
	while($row_Rschoix = mysql_fetch_row($result_Rschoix))
		{
		$discipline = $row_Rschoix[0];
		if(in_array($discipline,$matieres))
			{
			$keys = array_keys($matieres,$discipline);
			$disciplines[] = $keys[0];
			}
		}
	}

//envole : matire autorise ?
$matiere = "Erreur";
$message = "";
if(array_key_exists($id_matiere,$matieres))
	{
	$matiere = $matieres[$id_matiere];
	if(!in_array($id_matiere,$disciplines)) $message = "La mati&egrave;re \"".$matiere."\" ne fait pas parti de vos disciplines. Contactez si besoin l&rsquo;administrateur.";
	}
else $message = "La mati&egrave;re demand&eacute;e n&rsquo;est pas une discipline valide. Contactez si besoin l&rsquo;administrateur.";

//envole : tableau des profs de la matire concerne
$ar_IDprofs = array();
$query_RsProfs = "SELECT `prof_ID`,`nom_matiere` FROM `cdt_emploi_du_temps`, `cdt_matiere` WHERE `ID_matiere`=`matiere_ID` AND `ID_matiere`=".$id_matiere." GROUP BY `prof_ID`";
$RsProfs = mysql_query($query_RsProfs, $conn_cahier_de_texte) or die(mysql_error());
while($row_RsProfs = mysql_fetch_row($RsProfs)) $ar_IDprofs[] = $row_RsProfs[0];

//informations sur la publication des profs
$query_RsPublier = "SELECT ID_prof,nom_prof,identite, publier_cdt,publier_travail,MAX(code_date), prof_ID,date_maj FROM cdt_prof , cdt_agenda
WHERE ID_prof=prof_ID GROUP BY prof_ID ORDER BY nom_prof ASC";
$RsPublier = mysql_query($query_RsPublier, $conn_cahier_de_texte) or die(mysql_error());
$row_RsPublier = mysql_fetch_assoc($RsPublier);
$totalRows_RsPublier = mysql_num_rows($RsPublier);
?>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Cahier de texte - Responsable &eacute;tablissement</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css">
<!--
.Style70 {color: #000066}
-->
</style>
<LINK media=screen href="../styles/style_default.css" type=text/css rel=stylesheet>
<LINK media=screen href="../templates/default/header_footer.css" type=text/css rel=stylesheet>
</HEAD>
<BODY>
<DIV id=page>
<?php
//envole : affichage
$header_description="Publication - ".$matiere;
require_once "../templates/default/header.php";
if(!empty($message)) die("<br/><h4>".$message."</h4");
?>
<BR />
  <div>
       <table border="0" width="95%" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr> 
        <td class="tab_detail"><p><span class="Style70">Nous sommes le <?php echo jour_semaine(date('d/m/Y')).' '.date('d/m/Y')?>.</span></p>
          <p>Pour visualiser le cahier de texte d'un enseignant, cliquer sur son 
            nom.</p>
          <p>&nbsp;</p>
    </td>
      </tr>
      <tr> 
        <td class="Style6">Liste des enseignants de <?php echo $matiere; ?>  - Etat de leurs publications </td>
      </tr>
      <tr> 
        <td class="tab_detail_gris">
            <br>
            <table border="0" align="center" cellpadding="0" cellspacing="0" class="bordure">
              <tr> 
                <td class="Style6">Enseignants</td>
                <td colspan="2" class="Style6"><div align="center">Publie en ligne 
                    &nbsp;</div></td>
                <td class="Style6"><div align="right">Dernier ajout par l&rsquo;enseignant&nbsp;</div></td>
                <td class="Style6"><div align="right">Dernier visa par le chef d&rsquo;&eacute;tablissement&nbsp;</div></td>
              </tr>
              <tr class="tab_detail" > 
                <td class="tab_detail">&nbsp;</td>
                <td class="tab_detail"><div align="center">Travail</div></td>
                <td class="tab_detail"><div align="center">CDT</div></td>
                <td class="tab_detail"><div align="right"></div></td>
                <td class="tab_detail"><div align="right"></div></td>
              </tr>
              <?php $date_lastajout='';
	do {
if(in_array($row_RsPublier['ID_prof'],$ar_IDprofs))
{
	  $date_lastajout=substr($row_RsPublier['MAX(code_date)'],6,2).'/'.substr($row_RsPublier['MAX(code_date)'],4,2).'/'.substr($row_RsPublier['MAX(code_date)'],0,4);
 ?>
              <tr > 
                <td class="tab_detail" ><a href="cdt_enseignant.php?ID_consult=<?php echo $row_RsPublier['ID_prof'] ;?>&ens_consult=<?php echo $row_RsPublier['nom_prof'];?>&matiere=<?php echo $id_matiere; ?>"><?php echo '&nbsp;<strong>'.(empty($row_RsPublier['identite']) ? $row_RsPublier['nom_prof'] : $row_RsPublier['identite']).'</ strong>&nbsp;'; ?></a></td>
                <td  align="center" class="tab_detail"><div align="center"><?php echo $row_RsPublier['publier_travail']; ?></div></td>
                <td  align="center" class="tab_detail"><div align="center"><?php echo $row_RsPublier['publier_cdt']; ?></div></td>
                <td   align="right" class="tab_detail"><div align="right"><?php echo '&nbsp;'.jour_semaine($date_lastajout).' '.$date_lastajout.'&nbsp;'; ?></div></td>
                <td   align="right" class="tab_detail"><div align="right"> 
                    <?php 
		if (substr($row_RsPublier['date_maj'],0,4)<>'0000'){
		 $date_maj=substr($row_RsPublier['date_maj'],8,2).'/'.substr($row_RsPublier['date_maj'],5,2).'/'.substr($row_RsPublier['date_maj'],0,4);
		echo '&nbsp;'.jour_semaine($date_maj).' '.$date_maj.'&nbsp;';} else {echo '&nbsp;';}; ?>
                  </div></td>
              </tr>
              <?php }} while ($row_RsPublier = mysql_fetch_assoc($RsPublier)); ?>
            </table>
          <br></td>
      </tr>
    </table>




  <p>&nbsp;</p>
   <p><a href="inspecteur.php">Retour au menu Inspecteur</a></p>
  </div>
  <DIV id=footer></DIV>
</DIV>
</body>
</html>
<?php
mysql_free_result($RsPublier);
?>
