<?php
// Pour la protection des pages contre l'injection SQL

function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  $theValue = (!get_magic_quotes_gpc()) ? addslashes($theValue) : $theValue;

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? "'" . doubleval($theValue) . "'" : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}

// Pour la protection des pages contre l'injection CRLF
$protect = array(
    "<" => "&lt;",
    ">" => "&gt;",
    "&" => "&amp;",
    "\"" => "&quot;",
    "'" => "",
    "\n" => " ",
    "\t" => " ",
    "\r" => " ",
    "\0" => " ",
    "\x0A" => "",
    "\x0D" => "",
    " " => ""
);



function jour_semaine($dateX)
{
$joursX = array('Dimanche', 'Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi');
$jourX = substr($dateX,0,2);
$moisX = substr($dateX,3,2);
$anneeX = substr($dateX,6,4);
$tempsX = mktime(0, 0, 0, $moisX , $jourX, $anneeX);
$joursemaineX = date ('w',$tempsX);
return $joursX[$joursemaineX];
};

function my_addslashes($var)
{
	$tmp = str_replace("'","\'",$var);
	$final = str_replace('"','\"',$tmp);
	return $final;
}

function my_apostrophes($var)
{
	$final = str_replace("'","&rsquo;",$var);
	return $final;
};

function sans_accent($n)
{
   $n = strtolower($n);
   $n = strtr($n, '',
   'aaaaaaaaaaaaooooooooooooeeeeeeeecciiiiiiiiuuuuuuuuynn');
   $n = preg_replace('[^a-z0-9\._\-]','', $n);
   $replace = array('\.{2,}', '_{2,}', '\-{2,}');
   $with = array('.', '_', '-');
   $n = preg_replace($replace, $with, $n);
   // limitation au  20 premiers caractres + extension
   if (strlen($n) > 25) {      
   //$n = substr($n, -25);   
   $extension=strstr($n,".");
   $n=substr($n,0,20).$extension;
   }
   
   // le nom ne peut pas comporter que des .-_ et commencer par un point
   $false_name = preg_replace('[\-._]', '', $n);
   if (empty($false_name) or ($n{0} == '.')) {
    $n = '';
   }
   return $n;
};

// pour mette en forme le login lors de l'importation SCONET des membres d'un tablissement avec le fichier XML
// pour envole, fonction correspondant  la cration des logins dans l'annuaire, donc  ne pas modifier au risque de ne pas retrouver les bons logins
function premier ($str) {
   // dbuggage : exceptions  traiter
   $de=array("/'/","/^DE /","/^DU /","/^DELA /","/^DOS /","/^DI /","/^ES /","/^EL /","/^LE /","/^LA /","/^DA /","/^VAN /","/^BEN /");
   $vers=array(""   ,"DE"    ,"DU"    ,"DELA"    ,"DOS"    ,"DI"    ,"ES"    ,"EL"    ,"LE"    ,"LA"    ,"DA"    ,"VAN",    "BEN");
   $str=preg_replace($de,$vers,$str);
   $tab=preg_split ('/ |-/', $str,-1);
   return($tab[0]);
}

// Traitement des caractres spciaux pour le login cr lors de l'importation SCONET
// (source : http://www.phpapps.org)
function prepare_login($string){
	// longueur MAX
	$maxlen=19;
	if (strlen($string)>$maxlen) {$string=substr($string,0,$maxlen);}
	$string=strtolower($string);  
	$Caracs = array(
		"" => "Y", "" => "u", "" => "A", "" => "A",
		"" => "A", "" => "A", "" => "A", "" => "A", 
		"" => "A", "" => "C", "" => "E", "" => "E", 
		"" => "E", "" => "E", "" => "I", "" => "I", 
		"" => "I", "" => "I", "" => "D", "" => "N", 
		"" => "O", "" => "O", "" => "O", "" => "O", 	
		"" => "O", "" => "O", "" => "U", "" => "U", 
		"" => "U", "" => "U", "" => "Y", "" => "s",
		"" => "a", "" => "a", "" => "a", "" => "a",
		"" => "a", "" => "a", "" => "a", "" => "c", 
		"" => "e", "" => "e", "" => "e", "" => "e", 
		"" => "i", "" => "i", "" => "i", "" => "i", 
		"" => "o", "" => "n", "" => "o", "" => "o", 
		"" => "o", "" => "o", "" => "o", "" => "o", 
		"" => "u", "" => "u", "" => "u", "" => "u", 
		"" => "y", "" => "y", "~B"=> "e"); 
	return strtr($string, $Caracs);
}


//PROBLEME !!
//la fonction SHOW ne focntionne pas si le nom de la base possede un trait d'union !!!!
function mysql_table_exists($table , $db) {
   $requete = 'SHOW TABLES FROM '.$db.' LIKE \''.$table.'\'';
    $requete = "SELECT * FROM cdt_params";
    echo $requete;
    $exec = mysql_query($requete) or die(mysql_error());
}

function visa_edition_possible($date_edition) {
  $date_du_visa=substr($_SESSION['date_visa'],0,4).substr($_SESSION['date_visa'],5,2).substr($_SESSION['date_visa'],8,2);
  if (($date_edition<$date_du_visa)&&($_SESSION['visa_stop_edition']=='Oui')){ return false;} else {return true;}
}  
?>