<?php 
//    Cahier de textes - Application dveloppe par Pierre Lemaitre - Saint-L 
//
//    Cette application est distribue sous licence GNU.
//
//    Vous apprciez ce logiciel ? N'hsitez pas  remercier son auteur en lui envoyant une spcialit rgionale
//    Coordonnes dans le fichier license.txt
//    
//    Copyright (C) <2008>  <Pierre Lemaitre - Saint-L (France)>
//    This program is free software: you can redistribute it and/or modify 
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.

//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.

//    You should have received a copy of the GNU General Public License
//    along with this program (copying.txt).  If not, see <http://www.gnu.org/licenses/>.


//envole : devient la page de non connexion, simple affichage d'informations avec liens

require_once('Connections/conn_cahier_de_texte.php');
require_once('inc/functions_inc.php');

session_start();

//envole : comme la dconnexion se fait par simple accs  ce fichier, adaptation pour dterminer si demande de connexion/dconnexion
if(!isset($_GET["envole_logout"])) //appel direct, pas d'erreur  afficher
	{
	if(!isset($_SESSION['nom_prof']) && isset($_SESSION['consultation'])) //retour d'une consultation lve pour lesquels index.php est dsign comme lien vers l'accueil...
		{
		$_GET["envole_logout"] = 6; //provoque l'affichage d'un lien de dconnexion
		}
	elseif(preg_match("#/cdt/#i",$_SERVER["HTTP_REFERER"])) //on dconnecte globalement uniquement si on est sr de provenir du cdt lui-mme (problme : HTTP_REFERER non digne de confiance => au pire dconnexion impossible depuis le cdt)
		{
		require_once('inc/cas_envole.inc.php');
		envole_cas_logout();
		die();
		}
	else //on force la connexion qui renverra sur cette page avec un "?envole_logout" si problme
		{
		header("Location: authentification/auth.php");
		die();
		}
	}

//gestion de messages d'erreurs aprs connexion incomplte
$erreur = intval($_GET["envole_logout"]);
$message = "";
switch($erreur)
	{
	case 1 : //retour de authentification/auth.php
	$message = '
	<div class="commentaire_envole"><u>ERREUR</u> :<br/>Vous &ecirc;tes authentifi&eacute; mais votre compte n&rsquo;a pu &ecirc;tre cr&eacute;&eacute;.<br/>Signaler le probl&egrave;me &agrave; l&rsquo;administrateur.</div>
	<p><a href="index.php">Se d&eacute;connecter</a></p>';
	break;
	
	case 2 : //retour de authentification/auth.php
	$message = '
	<div class="commentaire_envole"><u>ERREUR</u> :<br/>Vous &ecirc;tes authentifi&eacute; mais votre classe n&rsquo;est pas connue du logiciel.<br/>Signaler le probl&egrave;me &agrave; l&rsquo;administrateur.</div>
	<p><a href="index.php">Se d&eacute;connecter</a></p>';
	break;

	case 3 : //retour de authentification/auth.php - compte existant mais droits  0 => en principe auto-create d'un personnel administratif sans pouvoir donner les bons droits (direction ou vie scolaire)
	$message = '
	<div class="commentaire_envole" style="text-align:center;">Vous &ecirc;tes authentifi&eacute; mais votre profil est inconnu ou votre compte est bloqu&eacute;.<br/>Contactez l&rsquo;administrateur.</div>
	<p><a href="index.php">Se d&eacute;connecter</a></p>';
	break;

	case 4 : //retour de authentification/auth.php
	$message = '
	<div class="commentaire_envole" style="text-align:center;">Vous n&rsquo;&ecirc;tes pas autoris&eacute; &agrave; acc&eacute;der au cahier de textes (profil non pris en charge).</div>
	<p><a href="index.php">Se d&eacute;connecter</a></p>';
	break;

	case 5 : //retour aprs dconnexion du serveur CAS
	$message = '
	<div class="commentaire_envole" style="text-align:center;">Vous venez d&rsquo;&ecirc;tre d&eacute;connect&eacute;.</div>
	<p><a href="authentification/auth.php">Se connecter</a></p>';
	break;

	case 6 : //retour aprs consultation lve
	$message = '
	<div class="commentaire_envole" style="text-align:center;">Vous &ecirc;tes connect&eacute; dans le mode de consultation du cahier de textes.</div>
	<p><a href="authentification/auth.php">Consulter</a></p>
	<p><a href="index.php">Se d&eacute;connecter</a></p>';
	break;
	}

unset($_SESSION['identite']);
unset($_SESSION['nom_prof']);
unset($_SESSION['ID_prof']);
unset($_SESSION['email']);
unset($_SESSION['droits']);
unset($_SESSION['publier_cdt']);
unset($_SESSION['publier_travail']);
unset($_SESSION['stop_cdt']);
unset($_SESSION['date_visa']);
unset($_SESSION['copie']);
unset($_SESSION['coller']);
unset($_SESSION['semdate']);
unset($_SESSION['consultation']);
unset($_SESSION['last_access']);
unset($_SESSION['ipaddr']);
unset($_SESSION['path_fichier_perso']);
unset($_SESSION['xinha_editlatex']);
unset($_SESSION['xinha_equation']);
unset($_SESSION['xinha_stylist']);

unset($_SESSION['nom_etab']);
unset($_SESSION['url_etab']);
unset($_SESSION['url_logo_etab']);

unset($_SESSION['libelle_devoir']);
unset($_SESSION['visa_stop_edition']);
unset($_SESSION['session_timeout']);


//envole : inutile ici car on y passe dornavant que non connect
//lecture de la table cdt_params (nom etablissement, url ..) et declaration de variables de Sessions
//require_once('inc/sessions_params.php'); 

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Cahier de textes - <?php echo $_SESSION['nom_etab']?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="keywords" content="Cahier de textes Pierre Lemaitre">
<meta name="description" content="Cahier de textes - Application d&eacute;velopp&eacute;e par Pierre Lemaitre - Saint-L ">
<script language="javascript" type="text/javascript" src="./authentification/login.js"></script>
<LINK media=screen href="styles/style_default.css" type=text/css rel=stylesheet>
<LINK media=screen href="templates/default/header_footer.css" type=text/css rel=stylesheet>
</HEAD>
<BODY>
<DIV id=page>
<?php
$page_accueil=1;
$header_description='- Non connect -';
require_once "templates/default/header.php";

if(!empty($message)) echo $message;
else echo '
<div class="commentaire_envole" style="text-align:center;">Vous n&rsquo;&ecirc;tes pas connect&eacute; au cahier de textes.</div>
<p><a href="authentification/auth.php">Se connecter</a></p>';
?>
<p><a href="index2.php">Acc&egrave;s pour consultation uniquement</a></p>
  <HR>
  <DIV id=footer>
    <p class="auteur"><a href="contribution.php" class="auteur">Pierre Lemaitre 
      - St L&ocirc; (France) - Ver 4.5.2  standard <br />
    </a></p>
  </DIV>
</DIV>
</BODY>
</HTML>
