<?php
//client CAS utilis par index.php pour la connexion et logout.php pour la dconnexion
$envole_cas = null;

//prsent dans l'include_path du php.ini (/usr/share/php)
include_once("CAS/eoleCAS.php");
include_once("configCAS/cas.inc.php");

//instanciation du client CAS
function envole_cas_instance()
	{
	global $envole_cas;
	if(empty($envole_cas))
		{
		$envole_cas = new eolephpCAS();
		$envole_cas->client(__CAS_VERSION,__CAS_SERVER,__CAS_PORT,__CAS_FOLDER,false);
		if(method_exists($envole_cas,'setNoCasServerValidation')) $envole_cas->setNoCasServerValidation();
		if(method_exists($envole_cas,'EoleLogoutRequests')) $envole_cas->EoleLogoutRequests(false);
		}
	}

//authentification et rcupration des informations sur l'utilisateur
function envole_cas_auth()
	{
	global $envole_cas;

	//instanciation
	envole_cas_instance();

	//forcer  redemander les infos auprs du serveur CAS (au lieu de les lire en session alors que ce serait les infos d'une autre appli...)
	if(isset($_SESSION["phpCAS"])) unset($_SESSION["phpCAS"]);

	//authentification
	$envole_cas->forceAuthentication();
	
	//rcupration des informations de l'utilisateur
	return $envole_cas->getDetails();
	}

//dconnexion
function envole_cas_logout()
	{
	global $envole_cas;

	//instanciation
	envole_cas_instance();
	
	//procdure de dconnexion du serveur CAS
	$url = (isset($_SERVER['HTTPS']) && !empty($_SERVER['HTTPS'])) ? "https://" : "http://";
	if(empty($_SERVER['SERVER_NAME'])) $url .= $_SERVER['HTTP_HOST'];
	else $url .= $_SERVER['SERVER_NAME'];
	$url .= "/cdt/index.php?envole_logout=5"; //variable "envole_logout" pour identifier la redirection
	$envole_cas->logout(array("url"=>$url));
	}
?>
